Bug 170682 - CAN-2005-3185 NTLM buffer overflow
CAN-2005-3185 NTLM buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
http://article.gmane.org/gmane.comp.w...
reported=20051012,public=20051012,imp...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 14:06 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-19 10:29:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-13 14:06:53 EDT
+++ This bug was initially created as a clone of Bug #170678 +++

This text was scavanged from the libcurl advisory:

libcurl's NTLM function can overflow a stack-based buffer if given a too long
user name or domain name. This would happen if you enable NTLM authentication
and either:

 A - pass in a user name and domain name to libcurl that together are longer
     than 192 bytes

 B - allow (lib)curl to follow HTTP "redirects" (Location: and the appropriate
     HTTP 30x response code) and the new URL contains a URL with a user name
     and domain name that together are longer than 192 bytes

-- Additional comment from bressers@redhat.com on 2005-10-13 13:24 EST --
Created an attachment (id=119931)
Proposed patch from upstream
Comment 1 Josh Bressers 2005-10-13 14:07:42 EDT
This issue also affects FC3
Comment 2 Mark J. Cox (Product Security) 2005-10-14 06:23:34 EDT
On Fedora Core 4 this is not a security issue; curl is compiled using
-D_FORTIFY_SOURCE=2 which catches and blocks this issue.  Therefore on Fedora
Core 4 this can only result in the program being aborted, which is not classed
as a security issue.

Please make a note of this in the advisory of any FC4 update to curl.
Comment 3 Ivana Varekova 2005-10-18 09:53:50 EDT
This bug is fixed in the last fc3 version.

Note You need to log in before you can comment on or make changes to this bug.